/*****************************************************************************
 * Copyright (C) 2019
 *
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of BMS
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * BrewCloud is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/


$(document).ready(function () {
	var source = {
		datatype: "json",
		cache: false,
		datafields: [
			{ name: 'record', type: 'number' },
			{ name: 'name', type: 'string' },
			{ name: 'code', type: 'string' },
			{ name: 'date', type: 'string' },
			{ name: 'style', type: 'string' },
			{ name: 'og', type: 'float' },
			{ name: 'fg', type: 'float' },
			{ name: 'batch_size', type: 'float' },
		],
		id: 'record',
		url: "includes/db_product.php?select=archname"
	},
	dataAdapter = new $.jqx.dataAdapter(source);

	// initialize jqxGrid
	$("#jqxgrid").jqxGrid({
		width: 1280,
		height: 630,
		source: dataAdapter,
		theme: theme,
		columns: [
			{ text: 'Naam', datafield: 'name' },
			{ text: 'Stijl', datafield: 'style', width: 250 },
			{ text: 'OG', datafield: 'og', width: 80, cellsformat: 'f3' },
			{ text: 'FG', datafield: 'fg', width: 80, cellsformat: 'f3' },
			{ text: 'Datum', datafield: 'date', width: 120 },
			{ text: 'Code', datafield: 'code', width: 100 },
			{ text: 'Liters', datafield: 'batch_size', width: 80, align: 'right', cellsalign: 'right', cellsformat: 'f1' },
			{ text: '', datafield: 'Edit', width: 80, align: 'center', columntype: 'button', cellsrenderer: function () {
				return "Bekijk";
				}, buttonclick: function (row) {
					var datarecord = dataAdapter.records[row];
					window.location.href = "prod_edit.php?record=" + datarecord.record + "&select=archname&return=prod_archive_name.php";
				}
			}
		],
	});
});
